# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added
- Initial implementation of Monaco Error Lens
- Inline diagnostic messages at the end of lines
- Line background highlighting for diagnostics
- Gutter icons for different severity levels
- Configurable themes (light, dark, high-contrast)
- TypeScript support with strict type checking
- Comprehensive test suite with Vitest
- Modern ESM-only npm package structure
- Performance optimizations with debouncing
- Accessibility features and responsive design
- Custom theme creation utilities
- Multiple cursor following modes (allLines, activeLine, closestProblem)

### Features
- **Inline Messages**: Show diagnostic text at the end of problematic lines
- **Line Highlighting**: Color entire lines containing problems with configurable background colors
- **Gutter Icons**: Display severity icons (✖ ⚠ ⓘ ●) in the editor gutter
- **Theme Support**: Built-in light, dark, and high-contrast themes
- **Custom Themes**: Create and apply custom color schemes
- **Performance**: Debounced updates
- **Accessibility**: High contrast mode support
- **TypeScript**: Strict type checking

### Technical
- ESM-only package with Vite build
- Test coverage with Vitest
- Peer dependency on Monaco Editor
- CSS-in-JS theming system

## [1.0.0] - 2024-12-08

### Added
- Initial release of Monaco Error Lens
- Core diagnostic visualization features
- Modern npm package structure
- Comprehensive documentation