/**
 * Simple event emitter for Monaco Error Lens
 */
export type EventListener<T = unknown> = (data?: T) => void;
/**
 * Simple event emitter
 */
export declare class SimpleEventEmitter {
    private listeners;
    /**
     * Add an event listener
     */
    on(event: string, listener: EventListener): () => void;
    /**
     * Remove an event listener
     */
    off(event: string, listener: EventListener): void;
    /**
     * Emit an event
     */
    emit(event: string, data?: unknown): void;
    /**
     * Remove all listeners
     */
    removeAllListeners(event?: string): void;
}
//# sourceMappingURL=event-emitter.d.ts.map